/* Basic Reset */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Arial', sans-serif;
}

header {
    text-align: center;
    padding: 2rem;
}

.banner h1 {
    font-size: 2rem;
    margin-bottom: 1rem;
    background-color: white;
}

.banner p {
    margin-bottom: 2rem;
}

button {
    padding: 0.5rem 1rem;
    background-color: #000;
    color: #fff;
    border: none;
    cursor: pointer;
}

.featured-products {
    background-color: #f5f5f5;
    padding: 2rem;
    text-align: center;
    /* display: flex;
    flex-direction: column; */
}

.featured-products h2 {
    margin-bottom: 1rem;
}

.products {
    display: flex;
    flex-direction: row;
    /* justify-content: space-around; */
    /* flex-wrap: wrap; */
}

.product {
    background: #fff;
    margin: 1rem;
    padding: 1rem;
    text-align: center;
    display: flex;
    flex-direction: column;
    background-color: white;
    z-index: 1 ;
    align-items: center;
    justify-content: flex-end;
    margin: 10px;
    padding: 20px;
    width: 100%;
    max-height: 400px;
    min-height: 100px;
}

.product img {
    /* max-height: 200px;
    height: 50%;
    width: 50%;
    object-fit: cover;
    margin-bottom: 15px;
    align-items: center; */
    object-fit: contain;
    display: flex;
    max-height: 200px;
    height: 100%;
    width: 100%;
    margin-bottom: 15px;
    justify-content: center;
}
header h1 {
    margin: 0;
    font-size: 3rem;
    background-color: #C4A484;
    background-size: 50%;
}

footer {
    background-color: #000;
    color: #fff;
    text-align: center;
    padding: 1rem;
    /* position: absolute; */
    bottom: 0;
    width: 100%;
}

nav {
    display: flex;
    justify-content: flex-end; /* Aligns the nav items to the right */
    padding: 1rem;
}

nav a {
    background-color: #000;
    color: #fff;
    padding: 0.5rem 1rem;
    text-decoration: none;
    margin-left: 10px; /* Adds space between navigation items */
    border-radius: 2px; /* Optional: adds rounded corners to the buttons */
    transition: background-color 0.3s; /* Smooth transition for hover effect */
}

nav a:hover {
    background-color: #444; /* Darkens the button slightly on hover */
}

.product button{
    padding-top: 10px;
}



body > footer {
    margin-top: auto; /* Pushes the footer to the bottom */
}